
Foreman - Bug #15920

migration CopyUnmanagedHostsToInterfaces may fail on interface conversations when ipv6

migration has not occurred 

07/31/2016 03:23 PM - Ohad Levy

Status: Rejected   

Priority: Normal   

Assignee:    

Category: DB migrations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

== 20150508124600 CopyUnmanagedHostsToInterfaces: migrating ===================

-- Migrating Unmanaged Host interfaces to standalone Interfaces

--   ... migrating li01.sat.lab.tlv.redhat.com

rake aborted!

StandardError: An error has occurred, this and all later migrations canceled:

undefined local variable or method `ip6' for #<Nic::Managed:0x0000000f4670a8>

Did you mean?  ip

               ip=

               ip?

.rvm/gems/ruby-2.3.1@foreman/gems/activemodel-4.2.6/lib/active_model/attribute_methods.rb:433:in `

method_missing'

git/foreman/app/models/nic/interface.rb:94:in `normalize_ip'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:432:in `bloc

k in make_lambda'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:164:in `bloc

k in halting'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:504:in `bloc

k in call'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:504:in `each

'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:504:in `call

'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:92:in `__run

_callbacks__'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:778:in `_run

_validation_callbacks'

.rvm/gems/ruby-2.3.1@foreman/gems/activemodel-4.2.6/lib/active_model/validations/callbacks.rb:113:

in `run_validations!'

.rvm/gems/ruby-2.3.1@foreman/gems/activemodel-4.2.6/lib/active_model/validations.rb:338:in `valid?

'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/validations.rb:58:in `valid

?'

git/foreman/app/models/concerns/orchestration.rb:77:in `valid?'

git/foreman/db/migrate/20150508124600_copy_unmanaged_hosts_to_interfaces.rb:27:in `block in up'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/relation/delegation.rb:46:i

n `each'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/relation/delegation.rb:46:i

n `each'

git/foreman/db/migrate/20150508124600_copy_unmanaged_hosts_to_interfaces.rb:21:in `up'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:611:in `exec_m

igration'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:592:in `block 

(2 levels) in migrate'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:591:in `block 
in migrate'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/connection_adapters/abstrac

t/connection_pool.rb:292:in `with_connection'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:590:in `migrat

e'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:768:in `migrat

e'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:998:in `block 

in execute_migration_in_transaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:1044:in `block

 in ddl_transaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/connection_adapters/abstrac

t/database_statements.rb:213:in `block in transaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/connection_adapters/abstrac

t/transaction.rb:184:in `within_new_transaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/connection_adapters/abstrac

t/database_statements.rb:213:in `transaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/transactions.rb:220:in `tra

nsaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:1044:in `ddl_t

ransaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:997:in `execut

e_migration_in_transaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:959:in `block 

in migrate'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:955:in `each'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:955:in `migrat

e'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:823:in `up'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:801:in `migrat

e'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/tasks/database_tasks.rb:137

:in `migrate'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/railties/databases.rake:44:

in `block (2 levels) in <top (required)>'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:268:in `l

oad'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:268:in `b

lock in load'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in `l

oad_dependency'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:268:in `l

oad'

-e:1:in `<main>'

NameError: undefined local variable or method `ip6' for #<Nic::Managed:0x0000000f4670a8>

Did you mean?  ip

               ip=

               ip?

.rvm/gems/ruby-2.3.1@foreman/gems/activemodel-4.2.6/lib/active_model/attribute_methods.rb:433:in `

method_missing'

git/foreman/app/models/nic/interface.rb:94:in `normalize_ip'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:432:in `bloc

k in make_lambda'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:164:in `bloc

k in halting'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:504:in `bloc

k in call'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:504:in `each

'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:504:in `call

'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:92:in `__run

_callbacks__'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:778:in `_run

_validation_callbacks'

.rvm/gems/ruby-2.3.1@foreman/gems/activemodel-4.2.6/lib/active_model/validations/callbacks.rb:113:

in `run_validations!'
.rvm/gems/ruby-2.3.1@foreman/gems/activemodel-4.2.6/lib/active_model/validations.rb:338:in `valid?

'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/validations.rb:58:in `valid

?'

git/foreman/app/models/concerns/orchestration.rb:77:in `valid?'

git/foreman/db/migrate/20150508124600_copy_unmanaged_hosts_to_interfaces.rb:27:in `block in up'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/relation/delegation.rb:46:i

n `each'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/relation/delegation.rb:46:i

n `each'

git/foreman/db/migrate/20150508124600_copy_unmanaged_hosts_to_interfaces.rb:21:in `up'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:611:in `exec_m

igration'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:592:in `block 

(2 levels) in migrate'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:591:in `block 

in migrate'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/connection_adapters/abstrac

t/connection_pool.rb:292:in `with_connection'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:590:in `migrat

e'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:768:in `migrat

e'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:998:in `block 

in execute_migration_in_transaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:1044:in `block

 in ddl_transaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/connection_adapters/abstrac

t/database_statements.rb:213:in `block in transaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/connection_adapters/abstrac

t/transaction.rb:184:in `within_new_transaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/connection_adapters/abstrac

t/database_statements.rb:213:in `transaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/transactions.rb:220:in `tra

nsaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:1044:in `ddl_t

ransaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:997:in `execut

e_migration_in_transaction'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:959:in `block 

in migrate'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:955:in `each'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:955:in `migrat

e'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:823:in `up'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/migration.rb:801:in `migrat

e'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/tasks/database_tasks.rb:137

:in `migrate'

.rvm/gems/ruby-2.3.1@foreman/gems/activerecord-4.2.6/lib/active_record/railties/databases.rake:44:

in `block (2 levels) in <top (required)>'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:268:in `l

oad'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:268:in `b

lock in load'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in `l

oad_dependency'

.rvm/gems/ruby-2.3.1@foreman/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:268:in `l

oad'

-e:1:in `<main>'

Tasks: TOP => db:migrate

(See full trace by running task with --trace)

Related issues:

Related to Foreman - Refactor #15866: Provide alternative way of migrating da... New 07/27/2016

Related to Foreman - Feature #14664: Add IPv6 Subnet to Host, Hostgroup and N... Closed 04/15/2016
History

#1 - 08/01/2016 02:25 AM - Marek Hulán

- Related to Refactor #15866: Provide alternative way of migrating data as oposed misuing db:migrate for this purpose added

#2 - 08/04/2016 02:46 AM - Dominic Cleal

- Related to Feature #14664: Add IPv6 Subnet to Host, Hostgroup and Nic Models added

#3 - 08/04/2016 02:46 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#4 - 10/05/2016 05:55 AM - Dominic Cleal

- translation missing: en.field_release changed from 160 to 190

#5 - 10/25/2016 04:13 AM - Dominic Cleal

- translation missing: en.field_release changed from 190 to 203

#6 - 11/25/2016 03:46 AM - Dominic Cleal

- translation missing: en.field_release changed from 203 to 207

#7 - 12/20/2016 04:29 AM - Dominic Cleal

- Status changed from New to Rejected

- translation missing: en.field_release deleted (207)

Closing as upgrades across multiple major versions are not supported (particularly one this old), Foreman's database migrations are not developed or

tested to work this way.

Powered by TCPDF (www.tcpdf.org)

05/20/2024 4/4

http://www.tcpdf.org

